commit:     5a00b6c0f7f958c1c5251c4ea0a2784b4f9b3625
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 23:36:39 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 23:37:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a00b6c0

dev-ml/camlp4: bump to 4.14.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-ml/camlp4/Manifest              |  1 +
 dev-ml/camlp4/camlp4-4.14_p1.ebuild | 56 +++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-ml/camlp4/Manifest b/dev-ml/camlp4/Manifest
index 4c5e345871a6..697499398f99 100644
--- a/dev-ml/camlp4/Manifest
+++ b/dev-ml/camlp4/Manifest
@@ -5,3 +5,4 @@ DIST camlp4-4.11_p1.tar.gz 650280 BLAKE2B 
6fe46b49c1f2b2e5fc87fbbbdba3ccae795c55
 DIST camlp4-4.12.tar.gz 650428 BLAKE2B 
4957d3db73ec82fbac58dd95fa13c48f9f8480a70cd6bded43a00df0a182f9b9e31a43acef8264f9d940776667d10b0a5c46bded59ebf4a645719264628428fc
 SHA512 
0a19bb596e47076a28a6bea62007f1d3b59c4d688075f6b723abaa205c555707feb4ea0624259994a4ba5251fdea9dc61cdc936dc13611b36937e755a4bc9b7b
 DIST camlp4-4.13.tar.gz 650642 BLAKE2B 
5bf70b21f47eefe4631227d0d30fdd08ab965020026d0183fc94b9dbfd1eee45626afbe62bf9507b1a887217cf9245901d40f25cce9430155eb9ec1ddc577554
 SHA512 
d3307bd11b813540d126719c0afe7e75a7740d0851b272be9bd1a28e8b1ab1ed9a7576109000c8d6cee7ece7f777122aa83917a48147d42ed8f4d72994397819
 DIST camlp4-4.14.tar.gz 653205 BLAKE2B 
52978c3fc67ddc1ecf8f6e4fa956823bd1bca41f7a317e4a17936ec774171fd566e49140da69930750dceb5519657912cc2490ca725838c27bbe5ec987596d67
 SHA512 
1f06a5db82f556da8bfb2c7a699acb007173d4e685aa07a8349b1da91a8ac1a460bf9f98ac8f920357961c1da78ccc27814e178d466e270a4f00a1a9f00ea776
+DIST camlp4-4.14_p1.tar.gz 641790 BLAKE2B 
3e1054a924956e9c23d43fb4ef00cf99fe09f6d2a5eb4216cb3d5079a439159d36703b6ae268789d73e51e87ed0329531b25c2e846df03c4ae99b1a6403b84c3
 SHA512 
1853ae0465a1366cf73d7aa9de56c037ef3d4bb5b341fe3eeb39677b5b08bda44316634b93d5d35d917a98dff8eb40da974937f714ab609818e7d25f716de811

diff --git a/dev-ml/camlp4/camlp4-4.14_p1.ebuild 
b/dev-ml/camlp4/camlp4-4.14_p1.ebuild
new file mode 100644
index 000000000000..80e3c447d302
--- /dev/null
+++ b/dev-ml/camlp4/camlp4-4.14_p1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV=${PV/_p/+}
+MY_P=${PN}-${MY_PV}
+
+inherit edo
+
+DESCRIPTION="System for writing extensible parsers for programming languages"
+HOMEPAGE="https://github.com/camlp4/camlp4";
+SRC_URI="https://github.com/camlp4/camlp4/archive/${MY_PV}.tar.gz
+       -> ${P}.tar.gz"
+S="${WORKDIR}"/${P/_p/-}
+
+LICENSE="LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 
~amd64-linux ~x86-linux"
+IUSE="+ocamlopt"
+
+RDEPEND="dev-lang/ocaml:0/$(ver_cut 1-2)[ocamlopt?]"
+DEPEND="
+       ${RDEPEND}
+       dev-ml/ocamlbuild[ocamlopt?]
+       dev-ml/findlib:=
+"
+
+QA_FLAGS_IGNORED='.*'
+
+PATCHES=( "${FILESDIR}/reload.patch" )
+
+src_configure() {
+       edo ./configure                             \
+               --bindir="${EPREFIX}/usr/bin"           \
+               --libdir="$(ocamlc -where)"             \
+               --pkgdir="$(ocamlc -where)"
+}
+
+src_compile() {
+       # Increase stack limit to 11GiB to avoid stack overflow error.
+       ulimit -s 11530000
+
+       emake byte
+       use ocamlopt && emake native
+}
+
+src_install() {
+       emake DESTDIR="${D}" install install-META
+       dodoc CHANGES.md README.md
+
+       if has_version ">=dev-ml/findlib-1.9" ; then
+               # See bug #803275
+               rm "${ED}/usr/$(get_libdir)/ocaml/camlp4/META" || die
+       fi
+}

Reply via email to